Package net.shibboleth.profile.relyingparty

# Interface RelyingPartyConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `InitializableComponent`, `Predicate<ProfileRequestContext>`

All Known Implementing Classes:
  `BasicRelyingPartyConfiguration`

public interface RelyingPartyConfiguration extends InitializableComponent, IdentifiedComponent, Predicate<ProfileRequestContext>
The configuration that applies to a peer with which the software is communicating.

The name "Relying Party" is historical and encompasses both sources and consumers of identity information.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getIssuer(ProfileRequestContext profileRequestContext)`
Get the name to use when issuing messages to peers.
`ProfileConfiguration`
`getProfileConfiguration(ProfileRequestContext profileRequestContext, String profileId)`
Get the profile configuration, for the relying party, for the given profile.
`Map<String,ProfileConfiguration>`
`getProfileConfigurations(ProfileRequestContext profileRequestContext)`
Get the unmodifiable set of profile configurations for this relying party.
`SecurityConfiguration`
`getSecurityConfiguration(ProfileRequestContext profileRequestContext)`
Get the default `SecurityConfiguration` to use.
`boolean`
`isDetailedErrors(ProfileRequestContext profileRequestContext)`
Get whether detailed information about errors should be exposed.
`void`
`setResponderId(String issuer)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`

## Method Details

### getIssuer

@ConfigurationSetting(name="issuer") @Nullable @NotEmpty String getIssuer(@Nullable ProfileRequestContext profileRequestContext)
Get the name to use when issuing messages to peers.

In SAML this is an "entityID", in other protocols it may have other labels.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  name to use when issuing messages
Since:
  5.0.0

### setResponderId

@Deprecated(since="5.0.0", forRemoval=true) void setResponderId(@Nullable @NotEmpty String issuer)
Deprecated, for removal: This API element is subject to removal in a future version.
Legacy property setter for issuer.

Parameters:
  `issuer` - the issuer to set

### isDetailedErrors

@ConfigurationSetting(name="detailedErrors") boolean isDetailedErrors(@Nullable ProfileRequestContext profileRequestContext)
Get whether detailed information about errors should be exposed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff it is acceptable to expose detailed error information

### getSecurityConfiguration

@ConfigurationSetting(name="securityConfiguration") @Nullable SecurityConfiguration getSecurityConfiguration(@Nullable ProfileRequestContext profileRequestContext)
Get the default `SecurityConfiguration` to use.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  default security configuration
Since:
  5.0.0

### getProfileConfigurations

@Nonnull @Unmodifiable @NotLive Map<String,ProfileConfiguration> getProfileConfigurations(@Nullable ProfileRequestContext profileRequestContext)
Get the unmodifiable set of profile configurations for this relying party.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  unmodifiable set of profile configurations for this relying party, never null

### getProfileConfiguration

@Nullable ProfileConfiguration getProfileConfiguration(@Nullable ProfileRequestContext profileRequestContext, @Nullable String profileId)
Get the profile configuration, for the relying party, for the given profile. This is a convenience method and is equivalent to calling `Map.get(Object)` on the return of `getProfileConfigurations(ProfileRequestContext)`. This map contains no null entries, keys, or values.

Parameters:
  `profileRequestContext` - current profile request context
  `profileId` - the ID of the profile
Returns:
  the configuration for the profile or null if the profile ID was null or empty or there is no configuration for the given profile